Contents

# Shell Function

Hasiisiro, wole loosansiiso hanafe aantanno xullaallote akata tiranno.

### Syntax:

Shell (Pathname As String[, Windowstyle As Integer[, Param As String[, bSync]]])

### Parameters:

### Harumusu'ma

Name of the program that you want to start, optionally with complete path and/or arguments.

### Xullaalloteakata

Optional integer expression that specifies the style of the window that the program is executed in.

Parameter Windowstyle is only effective on Windows systems. On other systems the parameter is ignored.

The following values are possible:

Windowstyle | Tiro
--- | ---
0 | Illachiishu maaxantino pirogiraame xullaallo aana no. Not implemented in LibreOffice.
1 | Illachiishu pirogiraamete xullaallo aana mereggisu bikka giddo no. Not implemented in LibreOffice.
2 | Illachiishu aja pirogiraame xullaallo aana no.
3 | Illachiishu bati'ra pirogiraame xullaallo aana no.
4 | Mereggisa bikka pirogiraame, illachiishiweello. Not implemented in LibreOffice.
6 | Aja pirogiraame xullaallo, illachiishu baqqado xullaallo aana gatanno. Not implemented in LibreOffice.
10 | Wo'ma-leellishalba leellanno.

Windowstyle 3 and 10 are equivalent in Windows systems.

### Param

String that specifies additional arguments passed to the program.

### bSync

Tini hornyo Halaale ikke qinaawiro, Omolco hajajo nna LibreOffice assicho omolcu ha'rinshsho gumulantanno geeshsha keeshshitanno. wait until the shell process completes. If the value is set to false, the shell returns directly. The default value is false.

### Error codes:

5 Horiweelo aante woshsho

53 Fayle diafantino

73 Dihajajantino

### Example:

    Sub ExampleShellForWin
        Shell("c:\windows\calc.exe",2)
    End Sub